/*#region 定義變數 */
:root { --primary-color: #3498db; --boxShadow_color: #63250145; --title1_color: #ff7600; }
/*#endregion  */
html, body { height: 100%; margin: 0; padding: 0; display: flex; flex-direction: column; font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; font-size:16px; }
a, .btn-link { color: #006bb7; }
a { text-decoration: none; }
h1:focus { outline: none; }
red { color: red; }
green { color: green; }
blue { color: blue; }
sky { color: #369; }
.blazor-error-boundary { background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121; padding: 1rem 1rem 1rem 3.7rem; color: white; }
.blazor-error-boundary::after { content: "An error has occurred." }
.btn-primary { color: #fff; background-color: #1b6ec2; border-color: #1861ac; }
.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus { box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb; }
.col-step-image { width: 100%; max-width: 1024px; }
.content { padding-top: 1.1rem; }
.darker-border-checkbox.form-check-input { border-color: #929292; }
.floating-button { position: fixed; bottom: 20px; right: 20px; background-color: #007bff; color: white; border: none; border-radius: 50%; width: 50px; height: 50px; box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); cursor: pointer; display: flex; align-items: center; justify-content: center; font-size: 20px; z-index: 10; }
.floating-button:hover { background-color: #0056b3; }
.footCopyRight { padding: 10px 10px 5px 10px; font-size: 16px; color: #666; }
.from-group { margin-bottom: 15px; }
.invalid { outline: 1px solid #e50000; }
.layout-container { display: flex; flex-direction: column; height: 100%; }
.valid.modified:not([type=checkbox]) { outline: 1px solid #26b050; }
.validation-message { color: #e50000; }
@media (min-width: 768px) { .label-control { text-align: right; } }
.navbar-nav { font-size: 18px; font-weight: bold; }
.navbar { padding-top: 4px; padding-bottom: 3px; }
.btn-light { border:1px solid #CCC; }
.logout { cursor: pointer; }
.label { display: inline-block; padding: .3em .6em .3em; font-size: 80%; font-weight: bold; color: #FFF; text-align: center; border-radius: .3em; }
.label-danger { background-color: #d9534f; }
.marker { display: list-item; margin-left: 1em; padding-left: 5px; }
/*.custom-font1 { background-color: #F1C40F; font-weight: bold; }*/
.tab-G1 > thead > tr > th, .tab-G1 > tbody > tr > th { vertical-align: middle; text-align: center; }
.tab-G1 > thead > tr > th, .tab-G1 > tbody > tr > td, .tab-G1 > tbody > tr > th { border: 1px solid #333; }

/*#region 共用Class */
.main-content { flex: 1; overflow-y: auto; padding: 0px; background-color: #ffffff; background-image: url('./images/Public/bkPic.png'); background-repeat: no-repeat; background-position: bottom right; background-size: 500px auto; background-attachment: fixed; }
@media (min-width: 576px) and (max-width: 991px) {
    .main-content { background-size: 350px auto; }
}
@media (max-width: 575px) {
    .main-content { background-size: 300px auto; }
}
@media (max-width: 435px) {
    .footCopyRight { font-size: 12px; }
    .footCopyRight > ul:first-child { display: none; }
}
.main-content .dataItem { background: linear-gradient(to right, var(--title1_color) 8px, #ffffff 8px); padding: 18px; padding-left: 26px; border-radius: 2px 8px 8px 2px; margin: 15px 0; box-shadow: 3px 3px 8px var(--boxShadow_color); }
.main-content .dataItem:hover{ transform:scale(1.01);}
.main-content .dataItem_B { padding: 8px; margin: 15px 0; box-shadow: 3px 3px 8px var(--boxShadow_color); border-radius: 8px; background-color: #fff; } 
.main-content .dataItem_B> .title{ background: linear-gradient(to right, var(--title1_color) 8px, #ffffff 8px); padding:8px; padding-left:15px; margin-bottom:8px;}
.main-content .linkCard { background: linear-gradient(to bottom, var(--title1_color) 10px, #ffffff 10px); padding: 8px; padding-top: 23px; box-shadow: 3px 3px 8px var(--boxShadow_color); border-radius: 0 0 8px 8px; }
.main-content .linkCard:hover{transform:scale(1.05);}
.main-content .linkCard > .imgBox{ width:100%; min-height:150px; display:flex; justify-content:center; align-items:center;}
.main-content .linkCard > .imgBox > img{ width:100%; height: auto; max-height: 150px; object-fit: contain;}
.main-content .linkCard > .textBox{text-align:center; margin-top:20px;}
.main-content .dataSecTitle { background: linear-gradient(to right, var(--title1_color) 6px, #ffffff 6px); padding-left: 15px; font-size: 1.8em; }
.table.lightBGColor { background-color: #ffffffb3; }
.alert_mySite_Orange { color: #a95812; background-color: #fff2e7; border: 1px solid #ff760052; }
.panel-heading { padding: 10px 15px; border-radius: 8px; background-color: #f5f5f5; display: flex; align-items: center; }
.panel-heading .titleIcon { width: 30px; height: 30px; background: url("./images/icon/titleIcon.png") no-repeat; background-position: center; background-size: cover; margin-right: 10px; flex-shrink:0; }
/*#endregion  */

/*#region nav 網頁選單 */
.mainNav { background-color: #b38722; }
.navbar-dark .navbar-nav .nav-link { color: rgba(255, 255, 255, .77); }
@media (max-width: 767px) {
    .navbar-dark .navbar-nav .nav-link { padding-left:10px; }
}
.navbar-dark .navbar-nav .nav-link.active, .navbar-dark .navbar-nav .show > .nav-link { color: #fff; text-shadow: 1px 1px 3px #813601c9; background-color:#ffce89a1; border-radius:8px; }
.navbar-dark .navbar-toggler { color: rgba(255, 255, 255, .8); border-color: rgba(255, 255, 255, .4); }
/*#endregion  */
/*#region 為了修 select2 的BUG，先強迫修改 */
.select2-hidden-accessible { top: 0; }
/*#endregion  */

/*#region StaticsMapBox */
.StaticsMapBox .map-container { margin: 20px auto; max-width: 800px; border: 1px solid #ddd; border-radius: 8px; padding: 10px; background-color: #f9f9f9; }
.StaticsMapBox .data-container { margin: 20px auto; max-width: 800px; text-align: center; }
.StaticsMapBox .table { width: 100%; border-collapse: collapse; margin: 20px auto; }
.StaticsMapBox .table th, .StaticsMapBox .table td { border: 1px solid #ddd; padding: 8px; }
.StaticsMapBox .table th { background-color: #f4f4f4; }
.StaticsMapBox .svgbox { width: 100%; aspect-ratio: 1/1; }
.StaticsMapBox .fake-link { color: #4B89BF; cursor: pointer; }
/*#endregion  */
/*#region FAQBox */
.FAQBox #FAQ_accordion > .accordion-item > .accordion-header > .accordion-button{font-size:20px; font-weight:bold;}
.FAQBox #FAQ_accordion > .accordion-item > .accordion-header > .accordion-button { box-shadow:none; }
/*#endregion  */
/*#region GeneralRegulationsBox */
.GeneralRegulationsBox .dataItem { overflow:hidden; position:relative; }
.GeneralRegulationsBox .dataItem:nth-child(1)::after { content: "New"; font-size: 40px; z-index:1; color: #9f4242ba; display: inline-block; position: absolute; right: 0; bottom: -30px; animation: newAlert1 3s infinite; font-family: Papyrus, Comic Sans MS, Times New Roman; }
@keyframes newAlert1 {0% { bottom: -15px; } 50% { bottom: -5px; }100% { bottom: -15px; }}
@media (max-width: 450px) {
    .GeneralRegulationsBox .dataItem { padding-bottom:40px; }
}
/*#endregion  */
/*#region ReScoreBox */
.ReScoreBox .Info  { line-height:32px; }
.ReScoreBox .Info > .highlightFont { margin: 0px 3px; background-color: #fbe747; border-radius: 2px; }
.ReScoreBox .Info > .downloadBox { margin:15px 0; }
.ReScoreBox .Info > .downloadBox > .downloadFile { display:inline-block; padding:5px; border-radius:5px; box-shadow:3px 3px 8px var(--boxShadow_color); margin:0 8px; }
.ReScoreBox .Info > .downloadBox > .downloadFile:hover { transform:scale(1.02); font-weight:600; }
/*#endregion  */
/*#region NewsBox */
.NewsBox .tab-pane > .Note1{text-align:center;}
.NewsBox .tab-pane > .Note1 > h6 { display: inline-block; padding: 15px 25px; border-radius: 8px; background-color: #ff760029; max-width:95%; }
.NewsBox .tab-pane > .Note2 > i{color:#ff7600;}
/*#endregion  */
/*#region RegisterBox */
.RegisterBox .PWD_RuleBox { background: linear-gradient(to right, var(--title1_color) 10px, #fffcfa 10px); padding: 15px 15px 15px 35px; box-shadow: 3px 3px 8px var(--boxShadow_color); border-radius: 2px 8px 8px 2px; margin-top: 15px; }
/*#endregion  */
/*#region ChangePWDBox */
.ChangePWDBox .PWD_RuleBox { background: linear-gradient(to right, var(--title1_color) 10px, #fffcfa 10px); padding: 15px 15px 15px 35px; box-shadow: 3px 3px 8px var(--boxShadow_color); border-radius: 2px 8px 8px 2px; margin-top: 15px; }
/*#endregion  */
/*#region SignupGroupManagerBox */
#SignupGroupManagerBox #MenberTable > thead > tr > th { cursor: pointer; }
#SignupGroupManagerBox #MenberTable > thead > tr > th:first-child { width:150px; }
#SignupGroupManagerBox #MenberTable > thead > tr > th:last-child { width:250px; }
#SignupGroupManagerBox #MenberTable > tbody > tr:has(.bi-dash-circle-fill) { background-color:#fbce5166;}
#SignupGroupManagerBox .card-body > .PersonSection:has(.picNeedCheck .bi-dash-circle-fill) { background-color: #fbce5166; }
/*#endregion  */
/*#region SignupGroupMember */
.SignupGroupMemberBox .OtherInput { max-width: 250px; }
.SignupGroupMemberBox .needSymbolBox .KeyBoradBox { line-height: normal; padding: .5rem; margin-top: 1rem; border: 1px solid #0000001c; border-radius: .5rem; background-color: #b387222e; display:none; }
.SignupGroupMemberBox .needSymbolBox .KeyBoradBox .cube { line-height: normal; width: 25px; aspect-ratio: 1/1; display: inline-flex; justify-content: center; align-items: center; margin: .2rem; padding: .2rem 1rem; font-size: 1.3rem; background-color: #fff; box-shadow: 2px 2px 2px #00000045; border-radius: .5rem; cursor:pointer; border:none; }
.SignupGroupMemberBox .needSymbolBox:focus-within .KeyBoradBox{display:block;}
@media (max-width: 768px) {
    .SignupGroupMemberBox .needSymbolBox .KeyBoradBox .cube {  padding: .3rem 1.1rem; font-size: 1.4rem; }
}
/*#endregion  */
/*#region SignupEditBox */
.SignupEditBox .OtherInput { max-width: 250px; }
.SignupEditBox .needSymbolBox .KeyBoradBox { line-height: normal; padding: .5rem; margin-top: 1rem; border: 1px solid #0000001c; border-radius: .5rem; background-color: #b387222e; display: none; }
.SignupEditBox .needSymbolBox .KeyBoradBox .cube { line-height: normal; width: 25px; aspect-ratio: 1/1; display: inline-flex; justify-content: center; align-items: center; margin: .2rem; padding: .2rem 1rem; font-size: 1.3rem; background-color: #fff; box-shadow: 2px 2px 2px #00000045; border-radius: .5rem; cursor: pointer; border: none; }
.SignupEditBox .needSymbolBox:focus-within .KeyBoradBox { display: block; }
@media (max-width: 768px) {
    .SignupEditBox .needSymbolBox .KeyBoradBox .cube { padding: .3rem 1.1rem; font-size: 1.4rem; }
}
/*#endregion  */
/*#region ScoreResultBox */
#ScoreResultBox #ScoreDescription > tbody > tr > th { width: 90px; }
/*#endregion  */
/*#region SignupGroupViewBox */
.SignupGroupViewBox .checkItemStyle { display: inline-block; padding: 2px 5px; box-shadow: 2px 2px 2px #b3872259; border-radius: 8px; border: 1px solid #b38722; margin: 4px; }
/*#endregion  */
/*#region UploadIDPhotoBox */
/*修改 croppie 的 CSS*/
#UploadIDPhotoBox .cr-slider-wrap { position:relative; }
#UploadIDPhotoBox .cr-slider { width:200px; }
#UploadIDPhotoBox .croppie-container .cr-slider-wrap { width: 300px; }
#UploadIDPhotoBox .scaleIcon { font-weight:600; font-size:30px; }
#UploadIDPhotoBox .scaleIcon.scaleIcon_small { position:absolute; top:-15px; left:calc(50% - 110px - 15px); transform:translateX(-50%); }
#UploadIDPhotoBox .scaleIcon.scaleIcon_big { position:absolute; top:-15px; right:calc(50% - 110px - 15px); transform:translateX(50%); }
/*#endregion  */
/*#region SignupEditBox */
#ImportExcelBox .spinner { border: 10px solid #2256A996; border-radius: 50%; border-top: 8px solid #ffffff; width: 50px; height: 50px; animation: spin 2.5s linear infinite; }
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
/*#endregion  */
/*#region NewsDetail */
#NewsDetailBox .fileLink { margin: 0 8px; }
/*#endregion  */
